class PushWorker
  include Sidekiq::Worker
  sidekiq_options queue: :push

  def perform(device_ids_opts, message, igetui_opts, platform = nil, device: nil)
    Push.push(device_ids_opts, message, igetui_opts, platform, device: device)
  rescue StandardError => e
    ErrorLog.error(e)
  end
end
